Bug 998123 - Review Request: python-django-savanna - Savanna project dashboard
Summary: Review Request: python-django-savanna - Savanna project dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2013-08-17 13:46 UTC by Matthew Farrellee
Modified: 2013-10-04 20:12 UTC (History)
2 users (show)

Fixed In Version: python-django-savanna-0.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-05 01:35:12 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Farrellee 2013-08-17 13:46:14 UTC
Spec URL: http://matt.fedorapeople.org/pkg/0/python-django-savanna.spec
SRPM URL: http://matt.fedorapeople.org/pkg/0/python-django-savanna-0.2-1.fc19.src.rpm
Description: Savanna plugin for the OpenStack Dashboard
Fedora Account System Username: matt

Comment 1 Mario Blättermann 2013-08-20 08:51:59 UTC
The source tarball contains a prebuilt egg, please remove it before building your package. See http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more information.

#TODO: %doc LICENSE
Currently the tarball doesn't ship a license file. Either add a license file as Source1 (http://www.apache.org/licenses/LICENSE-2.0.txt) or add a second % to that macro to make rpmlint happy. In some cases, even macros in comments will be expanded which could lead to some undesired behavior.

Comment 2 Matthew Farrellee 2013-08-20 10:47:37 UTC
Done. rm -rf of egg and %%doc, I'll add a LICENSE when upstream includes it.

Spec URL: http://matt.fedorapeople.org/pkg/1/python-django-savanna.spec
SRPM URL: http://matt.fedorapeople.org/pkg/1/python-django-savanna-0.2-1.fc19.src.rpm

Comment 3 Mario Blättermann 2013-08-21 09:19:17 UTC
Scratch build fails for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5835964

Scratch build for f19 also fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5835981


Seems to be a temporary problem in Koji. From build.log:

sh: /usr/bin/python: No such file or directory
...
No local packages or download links found for setuptools-git>=0.4
...
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools-git>=0.4')
...

I'll give it another try tomorrow.

Comment 4 Matthew Farrellee 2013-08-21 12:10:10 UTC
Actually, that's a good catch! There's no issue with Koji. I missed removing the setuptools-git requirement. The build should not require internet access (avoid downloading deps), the Koji nodes enforce this, and the setuptools-git require was being pulled from the internet.

Please try this new spec and srpm...

Spec URL: http://matt.fedorapeople.org/pkg/2/python-django-savanna.spec
SRPM URL: http://matt.fedorapeople.org/pkg/2/python-django-savanna-0.2-1.fc19.src.rpm

Comment 5 Mario Blättermann 2013-08-22 20:30:23 UTC
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5843439

$ rpmlint -i -v *
python-django-savanna.src: I: checking
python-django-savanna.src: I: checking-url https://launchpad.net/savanna (timeout 10 seconds)
python-django-savanna.src: W: strange-permission savannadashboard-0.2.tar.gz 0600L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

python-django-savanna.src: I: checking-url http://tarballs.openstack.org/savanna-dashboard/savannadashboard-0.2.tar.gz (timeout 10 seconds)
python-django-savanna.noarch: I: checking
python-django-savanna.noarch: I: checking-url https://launchpad.net/savanna (timeout 10 seconds)
python-django-savanna.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

python-django-savanna.spec: I: checking-url http://tarballs.openstack.org/savanna-dashboard/savannadashboard-0.2.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.


Not a review blocker, but worth to fix: Change the permissions of the tarball to 0644 before creating the srpm.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    ASL 2.0
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    34684bc1a0f2763b61f46e7859fe11cb6975cf0bb1eb27e62fe2a3afb06ff5d8  savannadashboard-0.2.tar.gz
    34684bc1a0f2763b61f46e7859fe11cb6975cf0bb1eb27e62fe2a3afb06ff5d8  savannadashboard-0.2.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------

Comment 6 Matthew Farrellee 2013-08-22 21:02:41 UTC
Thanks!

Comment 7 Matthew Farrellee 2013-08-22 21:03:33 UTC
New Package SCM Request
=======================
Package Name: python-django-savanna
Short Description: Savanna project dashboard
Owners: matt
Branches: f19 f20 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-08-23 12:37:47 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-08-23 13:44:59 UTC
python-django-savanna-0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-savanna-0.2-1.fc19

Comment 10 Fedora Update System 2013-08-24 00:04:48 UTC
python-django-savanna-0.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-08-26 18:11:16 UTC
python-django-savanna-0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-savanna-0.2-2.fc19

Comment 12 Fedora Update System 2013-09-05 01:35:12 UTC
python-django-savanna-0.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Mario Blättermann 2013-10-04 20:12:25 UTC
What's the reason to set this as a blocker - even for a tracker - although it is included in Fedora for some months (and already closed anyway)?


Note You need to log in before you can comment on or make changes to this bug.